
Foreman - Feature #7096

Partition Tables should just be a kind of Provisioning Templates

08/14/2014 03:14 PM - Justin Sherrill

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Templates   

Target version: 1.9.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1130298 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2405

  

Description

Ideally partition tables would just be a kind of provisioning template.  This way we get taxomonies (organizations mainly) for free.

Related issues:

Related to Foreman - Tracker #6631: Provisioning Template Improvements New 07/16/2014

Related to Foreman - Refactor #2990: Refactor templates to use STI Duplicate 08/29/2013

Related to Foreman - Bug #10740: Audits created during DB migration of ptable... Closed 06/09/2015

Related to Foreman - Bug #10778: private method `template' called for #<Provi... Closed 06/10/2015

Related to Boot disk - Bug #10773: Recent Template work in Foreman breaks boo... Closed 06/10/2015

Related to Foreman - Bug #10793: Editing location or organization fails with ... Closed 06/12/2015

Related to Foreman - Bug #10917: Missing API docs for /provisioning_templates... Closed 06/24/2015

Related to Foreman - Bug #10916: unknown attribute: config_template_ids in op... Closed 06/24/2015

Related to Foreman - Bug #10933: config_templates node changed name in v1 ope... Closed 06/25/2015

Related to Foreman - Refactor #11010: partition tables edit view contain too ... Closed 07/05/2015

Related to Foreman - Bug #11175: organization and location for partition tabl... Closed 07/21/2015

Related to Foreman - Bug #11219: Cannot set OS default template through hamme... Closed 07/27/2015

Related to Foreman - Bug #11443: ptable template ID changed during upgrade fr... Rejected 08/20/2015

Related to Foreman - Bug #12120: 'ptables' table should be dropped Closed 10/09/2015

Related to Foreman - Bug #14078: Role seed was not updated with changed permi... Closed 03/07/2016

Related to Foreman - Refactor #28582: drop config_templates api endpoints and... Closed

Related to Foreman - Bug #36791: Typo in variable name in form for taxonomies Closed

Blocks Foreman Remote Execution - Tracker #10760: Remote execution management... Resolved 06/09/2015 08/17/2015

Associated revisions

Revision 510d53cd - 06/09/2015 07:22 AM - Marek Hulán

Fixes #7096 - Adds STI to templates

This commit converts Ptables to be just another type of Template so it

gets the same features as ConfigTemplate. ConfigTemplate was renamed to

ProvisioningTemplate to reflect UI and the name under it's commonly known.

History

#1 - 08/14/2014 03:16 PM - Justin Sherrill

- Related to Tracker #6631: Provisioning Template Improvements added

#2 - 08/14/2014 03:24 PM - Justin Sherrill

- Bugzilla link set to 1130298

#3 - 08/15/2014 03:31 AM - Dominic Cleal
- Project changed from Katello to Foreman

- Category set to Templates

#4 - 05/27/2015 06:48 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2405 added

- Pull request deleted ()

#5 - 06/05/2015 10:42 AM - Dominic Cleal

- Related to Refactor #2990: Refactor templates to use STI added

#6 - 06/09/2015 07:23 AM - Dominic Cleal

- Assignee set to Marek Hulán

- translation missing: en.field_release set to 35

#7 - 06/09/2015 08:02 AM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 510d53cd899134b54a935cdd675d69194a1f08bd.

#8 - 06/09/2015 09:51 AM - Dominic Cleal

- Related to Bug #10740: Audits created during DB migration of ptables to templates added

#9 - 06/09/2015 10:59 AM - Ivan Necas

- Blocks Tracker #10760: Remote execution management MVP added

#10 - 06/10/2015 06:45 PM - Matthew Ceroni

- Related to Bug #10778: private method `template' called for #<ProvisioningTemplate:0x0000000f15e168> added

#11 - 06/11/2015 03:18 AM - Dominic Cleal

- Related to Bug #10773: Recent Template work in Foreman breaks bootdisk migration added

#12 - 06/12/2015 07:16 AM - Marek Hulán

- Related to Bug #10793: Editing location or organization fails with NameError uninitialized constant ConfigTemplate added

#13 - 06/24/2015 06:19 AM - Dominic Cleal

- Related to Bug #10917: Missing API docs for /provisioning_templates/.../template_combinations added

#14 - 06/24/2015 06:19 AM - Dominic Cleal

- Related to Bug #10916: unknown attribute: config_template_ids in operatingsystems PUT and POST added

#15 - 06/25/2015 09:27 AM - Dominic Cleal

- Related to Bug #10933: config_templates node changed name in v1 operatingsystems#show added

#16 - 07/05/2015 04:52 AM - Ohad Levy

- Related to Refactor #11010: partition tables edit view contain too many tabs added

#17 - 07/21/2015 10:23 AM - Dominic Cleal

- Related to Bug #11175: organization and location for partition tables (ptable) not returned in json added

#18 - 07/27/2015 06:49 AM - Dominic Cleal

- Related to Bug #11219: Cannot set OS default template through hammer CLI added

#19 - 08/21/2015 03:25 AM - Dominic Cleal

- Related to Bug #11443: ptable template ID changed during upgrade from 1.8.2 -> 1.9, breaks unattended provisioning added
#20 - 10/09/2015 04:35 AM - Dominic Cleal

- Related to Bug #12120: 'ptables' table should be dropped added

#21 - 03/07/2016 09:37 AM - Tomer Brisker

- Related to Bug #14078: Role seed was not updated with changed permissions in #7096 added

#22 - 12/29/2019 02:01 PM - Tomer Brisker

- Related to Refactor #28581: Drop long-deprecated api endpoints added

#23 - 12/29/2019 02:01 PM - Tomer Brisker

- Related to Refactor #28582: drop config_templates api endpoints and parameters added

#24 - 12/29/2019 02:01 PM - Tomer Brisker

- Related to deleted (Refactor #28581: Drop long-deprecated api endpoints)

#25 - 09/29/2023 12:29 PM - Ewoud Kohl van Wijngaarden

- Related to Bug #36791: Typo in variable name in form for taxonomies added
